property script_author : "Jonathan Nathan"
property script_name : "APMenu"
property script_version : "1.0.1"
property script_release_date : "January 31, 2007"
property script_copyright : " 2003, 2007 Jonathan Nathan. All Rights Reserved."

property status_menu : missing value
property status_item : missing value
property ap_signal_stregth : missing value
property idle_check : 5 --the seconds to wait before checking the ap signal stregth in the idle routine

on get_ap_signal_stregth()
	my update_status("getting ap signal stregth")
	tell application "Internet Connect"
		repeat with the_ap_configuration in AirPort configurations
			--AppleScript in "Internet Connect.app" in Mac OS X 10.4.x seems to be broken...
			try
				set ap_signal_stregth to signal level of the_ap_configuration
				if ap_signal_stregth  missing value then exit repeat
			end try
		end repeat
	end tell
	if ap_signal_stregth = missing value then set ap_signal_stregth to "AP?"
end get_ap_signal_stregth

on will finish launching the_object
	my update_status("will finish launching " & (name of the_object as Unicode text))
	my get_ap_signal_stregth()
end will finish launching

on awake from nib the_object
	set object_name to name of the_object as Unicode text
	my update_status("awake from nib " & object_name)
	if object_name = "about" then
		tell the_object
			center
			set contents of text field "title" to (my script_name & " v" & my script_version)
			set contents of text field "author" to ("by " & my script_author)
			set contents of text field "release" to ("Released " & my script_release_date)
			set contents of text field "copyright" to (my script_copyright)
		end tell
		
	else if object_name = "status_menu" then
		set status_menu to the_object
		set status_item to call method "initMainMenu:withTitle:" with parameters {status_menu, ap_signal_stregth}
		
	end if
end awake from nib

on launched the_object
	my update_status("launched " & (name of the_object as Unicode text))
	activate
end launched

on should quit after last window closed the_object
	return false
end should quit after last window closed

on idle the_object
	my get_ap_signal_stregth()
	call method "updateTitle:withTitle:" with parameters {status_item, ap_signal_stregth}
	return idle_check
end idle

on update_status(the_message)
	try
		log the_message
	end try
end update_status